// ***************************************************************************************************
// Items with a one in front of them are banned items. Items with a zero in front of them are allowed.
//
// Change the one's and zero's to your liking. Its pretty straight foward, each armor size gets it's
// own banlist.
//
// You can switch armor classes by issuing a commandToServer('ArmorDefaults', "Light");
// ***************************************************************************************************

$Sctf::Pref::RestrictArmor = 2;

function setArmorDefaults(%armor)
{
   switch$ ( %armor )
   {
      case "Light": // Set your servers Light armor bans
         // Packs
         $InvBanList[Sctf, "TurretOutdoorDeployable"] = 1;
         $InvBanList[Sctf, "TurretIndoorDeployable"] = 1;
         $InvBanList[Sctf, "ElfBarrelPack"] = 1;
         $InvBanList[Sctf, "MortarBarrelPack"] = 1;
         $InvBanList[Sctf, "PlasmaBarrelPack"] = 1;
         $InvBanList[Sctf, "AABarrelPack"] = 1;
         $InvBanList[Sctf, "AmmoPack"] = 1;
         $InvBanList[Sctf, "CloakingPack"] = 1;
         $InvBanList[Sctf, "MotionSensorDeployable"] = 1;
         $InvBanList[Sctf, "PulseSensorDeployable"] = 1;
         $InvBanList[Sctf, "TurretOutdoorDeployable"] = 1;
         $InvBanList[Sctf, "TurretIndoorDeployable"] = 1;
         $InvBanList[Sctf, "EnergyPack"] = 0;
         $InvBanList[Sctf, "RepairPack"] = 1;
         $InvBanList[Sctf, "SatchelCharge"] = 1;
         $InvBanList[Sctf, "SensorJammerPack"] = 1;
         $InvBanList[Sctf, "ShieldPack"] = 1;
         // Weapons
         $InvBanList[Sctf, "Blaster"] = 1;
         $InvBanList[Sctf, "Chaingun"] = 0;
         $InvBanList[Sctf, "Disc"] = 0;
         $InvBanList[Sctf, "ELFGun"] = 1;
         $InvBanList[Sctf, "GrenadeLauncher"] = 0;
         $InvBanList[Sctf, "MissileBarrelPack"] = 1;
         $InvBanList[Sctf, "MissileLauncher"] = 1;
         $InvBanList[Sctf, "Mortar"] = 1;
         $InvBanList[Sctf, "Plasma"] = 1;
         $InvBanList[Sctf, "SniperRifle"] = 1;
         $InvBanList[Sctf, "ShockLance"] = 1;
         // Misc
         $InvBanList[Sctf, "Mine"] = 0;
         $InvBanList[Sctf, "ConcussionGrenade"] = 1;
         $InvBanList[Sctf, "CameraGrenade"] = 1;
         $InvBanList[Sctf, "FlareGrenade"] = 1;
         $InvBanList[Sctf, "FlashGrenade"] = 1;
         $InvBanList[Sctf, "Grenade"] = 0;

      case "Medium": // Set your servers Medium armor bans
         // Packs
         $InvBanList[Sctf, "TurretOutdoorDeployable"] = 1;
         $InvBanList[Sctf, "TurretIndoorDeployable"] = 1;
         $InvBanList[Sctf, "ElfBarrelPack"] = 1;
         $InvBanList[Sctf, "MortarBarrelPack"] = 1;
         $InvBanList[Sctf, "PlasmaBarrelPack"] = 1;
         $InvBanList[Sctf, "AABarrelPack"] = 1;
         $InvBanList[Sctf, "AmmoPack"] = 1;
         $InvBanList[Sctf, "CloakingPack"] = 1;
         $InvBanList[Sctf, "MotionSensorDeployable"] = 1;
         $InvBanList[Sctf, "PulseSensorDeployable"] = 1;
         $InvBanList[Sctf, "TurretOutdoorDeployable"] = 1;
         $InvBanList[Sctf, "TurretIndoorDeployable"] = 1;
         $InvBanList[Sctf, "EnergyPack"] = 0;
         $InvBanList[Sctf, "RepairPack"] = 1;
         $InvBanList[Sctf, "SatchelCharge"] = 1;
         $InvBanList[Sctf, "SensorJammerPack"] = 1;
         $InvBanList[Sctf, "ShieldPack"] = 1;
         // Weapons
         $InvBanList[Sctf, "Blaster"] = 1;
         $InvBanList[Sctf, "Chaingun"] = 0;
         $InvBanList[Sctf, "Disc"] = 0;
         $InvBanList[Sctf, "ELFGun"] = 1;
         $InvBanList[Sctf, "GrenadeLauncher"] = 0;
         $InvBanList[Sctf, "MissileBarrelPack"] = 1;
         $InvBanList[Sctf, "MissileLauncher"] = 1;
         $InvBanList[Sctf, "Mortar"] = 1;
         $InvBanList[Sctf, "Plasma"] = 1;
         $InvBanList[Sctf, "SniperRifle"] = 1;
         $InvBanList[Sctf, "ShockLance"] = 1;
         // Misc
         $InvBanList[Sctf, "Mine"] = 0;
         $InvBanList[Sctf, "ConcussionGrenade"] = 1;
         $InvBanList[Sctf, "CameraGrenade"] = 1;
         $InvBanList[Sctf, "FlareGrenade"] = 1;
         $InvBanList[Sctf, "FlashGrenade"] = 1;
         $InvBanList[Sctf, "Grenade"] = 0;

      case "Heavy": // Set your servers Heavy armor bans
         // Packs
         $InvBanList[Sctf, "TurretOutdoorDeployable"] = 1;
         $InvBanList[Sctf, "TurretIndoorDeployable"] = 1;
         $InvBanList[Sctf, "ElfBarrelPack"] = 1;
         $InvBanList[Sctf, "MortarBarrelPack"] = 1;
         $InvBanList[Sctf, "PlasmaBarrelPack"] = 1;
         $InvBanList[Sctf, "AABarrelPack"] = 1;
         $InvBanList[Sctf, "AmmoPack"] = 1;
         $InvBanList[Sctf, "CloakingPack"] = 1;
         $InvBanList[Sctf, "MotionSensorDeployable"] = 1;
         $InvBanList[Sctf, "PulseSensorDeployable"] = 1;
         $InvBanList[Sctf, "TurretOutdoorDeployable"] = 1;
         $InvBanList[Sctf, "TurretIndoorDeployable"] = 1;
         $InvBanList[Sctf, "EnergyPack"] = 0;
         $InvBanList[Sctf, "RepairPack"] = 1;
         $InvBanList[Sctf, "SatchelCharge"] = 1;
         $InvBanList[Sctf, "SensorJammerPack"] = 1;
         $InvBanList[Sctf, "ShieldPack"] = 1;
         // Weapons
         $InvBanList[Sctf, "Blaster"] = 1;
         $InvBanList[Sctf, "Chaingun"] = 0;
         $InvBanList[Sctf, "Disc"] = 0;
         $InvBanList[Sctf, "ELFGun"] = 1;
         $InvBanList[Sctf, "GrenadeLauncher"] = 0;
         $InvBanList[Sctf, "MissileBarrelPack"] = 1;
         $InvBanList[Sctf, "MissileLauncher"] = 1;
         $InvBanList[Sctf, "Mortar"] = 1;
         $InvBanList[Sctf, "Plasma"] = 1;
         $InvBanList[Sctf, "SniperRifle"] = 1;
         $InvBanList[Sctf, "ShockLance"] = 1;
         // Misc
         $InvBanList[Sctf, "Mine"] = 0;
         $InvBanList[Sctf, "ConcussionGrenade"] = 1;
         $InvBanList[Sctf, "CameraGrenade"] = 1;
         $InvBanList[Sctf, "FlareGrenade"] = 1;
         $InvBanList[Sctf, "FlashGrenade"] = 1;
         $InvBanList[Sctf, "Grenade"] = 0;
   }
}

